package com.silverwrist.util.test;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class DumpAll extends HttpServlet
{
  public void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException
  {
    PrintWriter out = response.getWriter();
    out.println("<HTML><HEAD><TITLE>DumpAll</TITLE></HEAD><BODY><PRE>");
    out.println("Auth type: " + request.getAuthType());
    out.println("Content length: " + request.getContentLength());
    out.println("Content type: " + request.getContentType());
    out.println("Path info: " + request.getPathInfo());
    out.println("Query string: " + request.getQueryString());
    out.println("Remote address: " + request.getRemoteAddr());
    out.println("Remote host: " + request.getRemoteHost());
    out.println("Remote user: " + request.getRemoteUser());
    out.println("Request method: " + request.getMethod());
    out.println("Servlet path: " + request.getServletPath());
    out.println("Server name: " + request.getServerName());
    out.println("Server port: " + request.getServerPort());
    out.println("Server protocol: " + request.getProtocol());
    out.println("Scheme: " + request.getScheme());
    out.println("Context path: " + request.getContextPath());
    out.println("Request URI: " + request.getRequestURI());
    out.println("</PRE></BODY></HTML>");

  }
}
